Packages - Freedom Issue #123

wanted: blacklist for nonfree aur packages
2012-06-04 07:55 PM - xrchz

Status: not-a-bug % Done: 100%
Priority: freedom issue

Assignee: ovruni

Category:

Description

your-aur-freedom, to complement your-freedom.
could start with very highly voted aur packages, like google-talkplugin.
(presuming it is non-freel)

Subtasks:

Freedom Issue # 194: makepkg license check not-a-bug
Freedom Issue # 373: Lots of nonfree game-related packages in the AUR not-a-bug
Freedom Issue # 665: [masterpdfeditor] is nonfree. fixed
Freedom Issue # 751: Nonfree AUR packages not-a-bug
Freedom Issue # 757: More non-free AUR fonts packages will be blacklisted not-a-bug
Freedom Issue # 1009: Adding FS-UAE AUR packages to the blacklist not-a-bug
Related issues:

Related to Packages - Freedom Issue #1035: [your-system-sanity]: Non-Free Sof... in progress

History

#2 - 2012-06-16 06:49 PM - Anonymous

| think that is a excellent idea! You can to do a PKGBUILD based from your-freedom including a blacklist with AUR non-free packages or send to us
only the blacklist file with the AUR non-free packages included to create a package about it. You must to create a blacklist similar to it ==>
https://projects.parabolagnulinux.org/blacklist.git/plain/blacklist.txt

#3 - 2012-09-07 03:44 PM - fauno

| like the name "our-freedom" better for this :D

#4 - 2012-11-02 10:12 AM - Sinma

I've made a list of the 7 pages of most popular aur packages. Because my time is limited, maybe I'm wrong about some package, but I'm prudent. I've
probably forgotten some non-free packages, beause | can't check all packages. A "?" indicate that I'm not sure if the package is non-free or not.

I've also made a list of all non-free packages on the popular archlinux-fr repository.

#5 - 2012-11-28 08:07 AM - TheLastProject

I'm not sure if this is still being made, but | decided to check through some old AUR packages | have installed and made this list which could be added
to it:

bin32-teamspeak2::Non-free software

deb2targz::Missing license information

firefox-nightly::Recommends non-free software

jockey::Recommends non-free drivers

savage2::Non-free software

teamspeak-plugin-love-svn::Only useful in combination with non-free software
teamspeak-plugin-massmover::Only useful in combination with non-free software
teamspeak2::Non-free software

teamspeak3::Non-free software

teamspeak3-server::Non-free software

teamspeak3-soundpack-portal::Only useful in combination with non-free software
teamspeak3-soundpack-rc1-female::Only useful in combination with non-free software
teamspeak3-theme-minecraft-forever::Only useful in combination with non-free software
teamspeakctrl::Only useful in combination with non-free software

tss2_rc2::Non-free software

teamviewer::Non-free software

#6 - 2013-01-28 01:43 PM - Sinma
https://projects.parabolagnulinux.org/blacklist.git/plain/blacklist.txt

Deb2targz: it's useless (http://www.miketaylor.org.uk/tech/deb/), and | don't think it's used by many persons, but | add it though.

I've added all your suggestions to the list.

#7 - 2013-01-28 02:21 PM - Sinma
Packages added:

skype4pidgin (only useful in combination with non-free software)
firefox-beta-bin for the same reasons as firefox-nightly

steam, obviously

linuxgq, non-free adware

foremost, non-free software

lib32-nvidia-utils-beta, non-free software

huludesktop, non-free software

true-combat, non-free software

It's still the 7 first pages of most voted AUR packages. | try to keep it in the right order, to keep the verification easy.

#8 - 2013-01-28 02:27 PM - Sinma

Sorry for the noise, it's late (23h34 here), and | forget to save the file before sending!

#9 - 2014-05-27 01:13 AM - lukeshu

Now that our-freedom exists, can we close this issue?

#10 - 2014-05-27 06:59 AM - xrchz

lukeshu wrote:

Now that our-freedom exists, can we close this issue?

Sure, where can our-freedom be found?

#11 - 2014-05-27 06:54 PM - lukeshu

Never-mind, apparently | have gone more crazy than | thought...

#12 - 2015-02-16 08:08 PM - Anonymous

- Related to Freedom Issue #665: [masterpdfeditor] is nonfree. added

#13 - 2015-06-16 06:12 AM - Anonymous

- Assignee set to ovruni

#14 - 2015-06-16 06:14 AM - Anonymous
- Related to Freedom Issue #373: Lots of nonfree game-related packages in the AUR added

#15 - 2015-07-01 01:45 PM - Anonymous
- Related to Freedom Issue #751: Nonfree AUR packages added

#16 - 2015-07-23 04:32 PM - Anonymous
- Related to Freedom Issue #757: More non-free AUR fonts packages will be blacklisted added

#17 - 2016-08-30 06:04 PM - Anonymous
- Start date set to 2012-11-02

#18 - 2016-12-10 03:12 PM - g4jc
Is anyone still working on this issue or should we consider a whitelist? AUR is very large either way, and new packages are added daily.

Eventually good packages with enough demand could be added to PCR, or PUR (which never really took off).

#19 - 2019-02-27 09:19 PM - bill-auger

- Status changed from open to in progress

#20 - 2019-07-21 04:10 PM - bill-auger
- Status changed from in progress to not-a-bug

i agree with g4jc there - this is a not practical - the bulk of work required to blacklist a package is in verifying the licenses - once that is done, adding
the PKGBUILD is usually relatively simple - if we were to monitor and evaluate every new entry the AUR, we may as well add the ones which are
FSDG-fit to [pcr], rather than maintaining a whitelist, or a blacklist for the opposite set - the amount of effort required is essentially the same

we dont need to (and probably shouldnt) prevent users from installing non-free software - generally speaking, thats not possible anyways - the

blacklist exists because otherwise, pacman would be indexing non-free software - the current solution satisfies the FSDG and seems to work well;

which is simply not to have any AUR helpers in parabola repos, and to give fair warning that third-party software is not supported

freemor is working on an idea tentatively named 'your-system-sanity' to present a more blatant warning about the software that TPPMs index and
assist downloading, and the havoc they (especially pip) can wreak on the system, and to identify and isolate them all from the main repos, possibly

into new repo like: [unsupported]

if someone chooses to go out of their way to download a PKGBUILD from AUR or any other non-free software from anywhere else, then we should
want to allow them to install it without removing 'your-freedom'; because 'your-freedom' is not intended to exhaustively address all third-party software

- that much broader scope is what 'your-system-sanity' has been propose to addresss

this issue has gone stale for some time so i will close it, and the related ones, in favor of the following discussion: #1035

#21 - 2020-01-14 03:00 PM - bill-auger

- Related to Freedom Issue #1035: [your-system-sanity]: Non-Free Software From Third-party Package Managers (TPPM) added

#22 - 2020-07-10 06:54 AM - bill-auger
- Related to deleted (Freedom Issue #194: makepkg license check)

#23 - 2020-07-10 06:55 AM - bill-auger

- Related to deleted (Freedom Issue #373: Lots of nonfree game-related packages in the AUR)

#24 - 2020-07-10 06:56 AM - bill-auger
- Related to deleted (Freedom Issue #751: Nonfree AUR packages)

#25 - 2020-07-10 06:57 AM - bill-auger

- Related to deleted (Freedom Issue #665: [masterpdfeditor] is nonfree.)

#26 - 2020-07-10 06:58 AM - bill-auger

- Related to deleted (Freedom Issue #757: More non-free AUR fonts packages will be blacklisted)

Files

your-aur-freedom 641 Bytes 2012-11-02 Sinma
your-archlinuxfr-freedom 64 Bytes 2012-11-02 Sinma
your-aur-freedom 641 Bytes 2013-01-28 Sinma
your-aur-freedom 1.01 KB 2013-01-28 Sinma
your-aur-freedom 1.03 KB 2013-01-28 Sinma
